%define our_version v2.0.7
Name:           perl-Zonemaster-Engine
Version:        %{our_version}
Release:        1%{?dist}
Summary:        Zonemaster::Engine Perl module
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Zonemaster-Engine/
Source0:        http://www.cpan.org/authors/id/Z/ZN/ZNMSTR/perl-Zonemaster-Engine-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.14.2
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::ShareDir) >= 1
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Hash::Merge)
BuildRequires:  perl(IO::Socket::INET6) >= 2.69
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Locale::TextDomain) >= 1.23
BuildRequires:  perl(Mail::RFC822::Address)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Module::Find) >= 0.1
BuildRequires:  perl(Moose) >= 2.0401
BuildRequires:  perl(Net::IP) >= 1.26
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Readonly::XS)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Text::CSV)
BuildRequires:  perl(Locale::Msgfmt)
#BuildRequires:  perl(Zonemaster::LDNS) >= 1
BuildRequires:  perl-Zonemaster-LDNS >= 1
Requires:       perl(File::ShareDir) >= 1
Requires:       perl(File::Slurp)
Requires:       perl(Hash::Merge)
Requires:       perl(IO::Socket::INET6) >= 2.69
Requires:       perl(List::MoreUtils)
Requires:       perl(Locale::TextDomain) >= 1.23
Requires:       perl(Mail::RFC822::Address)
Requires:       perl(MIME::Base64)
Requires:       perl(Module::Find) >= 0.1
Requires:       perl(Moose) >= 2.0401
Requires:       perl(Net::IP) >= 1.26
Requires:       perl(Readonly)
Requires:       perl(Readonly::XS)
Requires:       perl(Text::CSV)
Requires:       perl-Zonemaster-LDNS >= 1
#Requires:       perl(Zonemaster::LDNS) >= 1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This repository holds one of the components of the Zonemaster product. For
an overview of the Zonemaster software, please see the [Zonemaster main
repository](https://github.com/dotse/zonemaster).

%prep
%setup -q -n perl-Zonemaster-Engine-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes KNOWN_ISSUES LICENSE README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 11 2019 jaromir.talir@nic.cz 2.0.7-1
- Specfile autogenerated by cpanspec 1.78.
